Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Clarify Cache Documentation #541

Closed
burhan opened this Issue · 1 comment

2 participants

@burhan

In the cache documentation it states:

If you want to use memcached, make sure to have one of the memcache modules supported (you get them from PyPI) and a memcached server running somewhere.

However it doesn't state which modules are supported and the werkzeug documentation is equally vague.

@untitaker
Collaborator

According to the code of werkzeug.contrib.cache.MemcachedCache.import_preferred_memcache_lib it looks for the following packages/modules, in the same order:

  • pylibmc
  • google.appengine.api.memcache
  • memcache
@untitaker untitaker referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@untitaker untitaker referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@untitaker untitaker referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@untitaker untitaker referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@untitaker untitaker referenced this issue from a commit
Commit has since been removed from the repository and is no longer available.
@untitaker untitaker referenced this issue from a commit in untitaker/werkzeug
@untitaker untitaker Fixes mitsuhiko/flask#541
Added some information which modules/packages MemcachedCache will look
for.
f16d11f
@untitaker untitaker referenced this issue from a commit in untitaker/werkzeug
@untitaker untitaker Fixes mitsuhiko/flask#541
Added some information which modules/packages MemcachedCache will look
for.
6eca79a
@untitaker untitaker referenced this issue from a commit in untitaker/werkzeug
@untitaker untitaker Fixes mitsuhiko/flask#541
Added some information which modules/packages MemcachedCache will look
for.
1c87014
@untitaker untitaker closed this issue from a commit in mitsuhiko/werkzeug
@untitaker untitaker Fixes mitsuhiko/flask#541
Added some information which modules/packages MemcachedCache will look
for.
b0c1960
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.